%global project_version 0.0.2
%define debug_package %{nil}

Name:		mgmt
Version:	0.0.2
Release:	1
Summary:	A next generation config management prototype!
License:	AGPLv3+
URL:		https://github.com/purpleidea/mgmt
Source0:	https://dl.fedoraproject.org/pub/alt/purpleidea/mgmt/SOURCES/mgmt-%{project_version}.tar.bz2

# graphviz should really be a "suggests", since technically it's optional
Requires: graphviz

BuildRequires:	golang
BuildRequires:	golang-googlecode-tools-stringer
BuildRequires:	git-core
BuildRequires:	mercurial

%description
A next generation config management prototype!

%prep
%setup

%build
# FIXME: in the future, these could be vendor-ed in
mkdir -p vendor/
export GOPATH=`pwd`/vendor/
go get github.com/coreos/etcd/client
go get gopkg.in/yaml.v2
go get gopkg.in/fsnotify.v1
go get github.com/codegangsta/cli
go get github.com/coreos/go-systemd/dbus
go get github.com/coreos/go-systemd/util
make build

%install
rm -rf %{buildroot}
# _datadir is typically /usr/share/
install -d -m 0755 %{buildroot}/%{_datadir}/mgmt/
cp -a AUTHORS COPYING COPYRIGHT DOCUMENTATION.md README.md THANKS examples/ %{buildroot}/%{_datadir}/mgmt/

# install the binary
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 mgmt %{buildroot}/%{_bindir}/mgmt

# profile.d bash completion
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install misc/mgmt.bashrc -m 0755 %{buildroot}%{_sysconfdir}/profile.d/mgmt.sh

# etc dir
mkdir -p %{buildroot}%{_sysconfdir}/mgmt/
install -m 0644 misc/mgmt.conf.example %{buildroot}%{_sysconfdir}/mgmt/mgmt.conf

%files
%attr(0755, root, root) %{_sysconfdir}/profile.d/mgmt.sh
%{_datadir}/mgmt/*
%{_bindir}/mgmt
%{_sysconfdir}/mgmt/*

# this changelog is auto-generated by git log
%changelog
* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (4e9ab3c) Add COPR badge (HEAD -> master, tag: 0.0.2, origin/master)

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (99b058e) Add build dependencies for remote COPR builder

* Fri Feb 12 2016 James Shubin <james@shubin.ca>
- (fc14e5c) Make an initial RPM package for COPR (feat/rpm)

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (e921dfa) Improve shell scripts

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (40476a6) Pave the way for Debian

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (8918252) Fix up path issues with vtest+

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (ead025c) Path fixes to avoid overwriting each other

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (83caea1) Add some special path variables and add centos-ci dependencies

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (f4da875) Actually fix the CentOS-CI builds (I hope)

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (acff20c) Will this fix Jenkins?

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (bbb35fa) Update README

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (2896775) Add a TODO list to serve as a near term roadmap

* Wed Feb 10 2016 James Shubin <james@shubin.ca>
- (625ae31) Binary is not reproducible on travis! Why not?

* Mon Feb 8 2016 James Shubin <james@shubin.ca>
- (7268134) Add a simple bashfmt test

* Mon Feb 8 2016 James Shubin <james@shubin.ca>
- (e342c5a) Only format check tracked files

* Mon Feb 8 2016 James Shubin <james@shubin.ca>
- (028fb1c) Add a simple test for reproducibility

* Wed Feb 3 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (6e66148) README: also list stringer as a dependency (origin/pr/7)

* Wed Feb 3 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (c47418b) README: specify minimum golang version (origin/pr/5)

* Wed Feb 3 2016 Felix Frank <Felix.Frank@Alumni.TU-Berlin.de>
- (97fda59) README: make code actually display as multi line

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (b3e5f77) Make it easier to use converged-timeout

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (85f9db1) Cleanup the README file

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (655d527) Add a fan in, fan out example and test

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (9258119) Allow unbound variables like "$1"

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (4cb76d3) Add the ability to run individual shell tests manually

* Tue Feb 2 2016 James Shubin <james@shubin.ca>
- (ff83870) Add a fan in example and test

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (3cf8c4a) Add gobin to path in an attempt to make it easy to find go binaries

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (9e08de0) Try and pass through with export

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (8f0d3e3) I give up, let's see some debug output

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (3870a2c) Pass jenkins url through to child machine

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (cc9bc6a) Add missing ^ character

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (cd663d2) Work around missing JENKINS_URL regression

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (dee8cd9) Be more specific in error messages for easier debugging

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (a64b9f8) Skip yamlfmt on jenkins too

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (b3b78b9) Fix typo

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (f4a86b2) Add centos-ci script to mgmt for independence and for make gopath

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (8b0a078) Add gopath Makefile target

* Fri Jan 29 2016 James Shubin <james@shubin.ca>
- (fb85130) Add CentOS jenkins ci hooks

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (08d5a3b) Work around old go versions not supporting equals sign

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (358604d) Enable shell tests

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (0795cad) Travis: don't sully the homepage with broken test branches

* Thu Jan 28 2016 James Shubin <james@shubin.ca>
- (0d8b4aa) Fix string issues in the build

* Thu Jan 21 2016 James Shubin <james@shubin.ca>
- (2930985) Avoid any possible errors with git describe

* Thu Jan 21 2016 James Shubin <james@shubin.ca>
- (d5367b7) Add shell based test harness

* Thu Jan 21 2016 James Shubin <james@shubin.ca>
- (820294c) Add golang stringer to deps

* Wed Jan 20 2016 James Shubin <james@shubin.ca>
- (9ab746f) I guess we'll have to stick with the name for now

* Wed Jan 20 2016 James Shubin <james@shubin.ca>
- (d7903d8) Update faq to add etcd vs. consul answer

* Wed Jan 20 2016 James Shubin <james@shubin.ca>
- (0ca9351) Don't generate file watch events if disabled

* Tue Jan 19 2016 James Shubin <james@shubin.ca>
- (491e9fd) Golint fixes

* Tue Jan 19 2016 James Shubin <james@shubin.ca>
- (4599b39) Fix failure of go 1.4.3 due to missing `go vet`

* Tue Jan 19 2016 James Shubin <james@shubin.ca>
- (30385c8) Bump golang versions in travis

* Tue Jan 19 2016 James Shubin <james@shubin.ca>
- (8308680) Make sure to unpause all elements when resuming

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (9c18972) Add information on providing good logs

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (79a5e09) Improve wording in README.md for clarification

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (304b482) Many examples now exist

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (c0d3678) Remove useless noop types

* Mon Jan 18 2016 James Shubin <james@shubin.ca>
- (74baa03) Add link to first blog post

* Fri Jan 15 2016 James Shubin <james@shubin.ca>
- (61c668e) Limit the number of initial start poke's required

* Fri Jan 15 2016 James Shubin <james@shubin.ca>
- (8db5d63) Exit if program was not compiled correctly

* Fri Jan 15 2016 James Shubin <james@shubin.ca>
- (6e9439f) Avoid panic's when referencing non-existing objects

* Fri Jan 15 2016 James Shubin <james@shubin.ca>
- (f7858b8) Add state caching and invalidation to service type

* Thu Jan 14 2016 James Shubin <james@shubin.ca>
- (935805a) Add state caching for most types

* Tue Jan 12 2016 James Shubin <james@shubin.ca>
- (4c6647d) Fixup state related items

* Tue Jan 12 2016 James Shubin <james@shubin.ca>
- (c57946e) Fix dependency issue

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (48eddc3) Catch a different form of etcd disconnect

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (8ea8ef8) Simplify converge checker

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (1c49bbc) Clean up the distributed example for clarity

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (ebc1c60) The noop type is not useful in this example

* Sun Jan 10 2016 James Shubin <james@shubin.ca>
- (590394b) Clean up better

* Sat Jan 9 2016 James Shubin <james@shubin.ca>
- (97664c3) Fix effective off-by-one error in dependency processing

* Sat Jan 9 2016 James Shubin <james@shubin.ca>
- (ea7fd76) Add exec type and fix up a few other things

* Fri Jan 8 2016 James Shubin <james@shubin.ca>
- (45ff3b6) Merge type comparison into a single function call

* Fri Jan 8 2016 James Shubin <james@shubin.ca>
- (d769309) Hello 2016!

* Thu Jan 7 2016 James Shubin <james@shubin.ca>
- (d2bcfdc) Fix go vet error

* Wed Jan 6 2016 James Shubin <james@shubin.ca>
- (72525d3) Refactor etcd into object and add exit timers

* Tue Jan 5 2016 James Shubin <james@shubin.ca>
- (95489b9) Add information on which libraries are being used

* Tue Jan 5 2016 James Shubin <james@shubin.ca>
- (0bbfd1d) Add missing stringer dependency

* Mon Jan 4 2016 James Shubin <james@shubin.ca>
- (904ace8) Fix up go vet errors and integrate with ci

* Mon Jan 4 2016 James Shubin <james@shubin.ca>
- (d8cbeb5) Support N distributed agents

* Tue Dec 29 2015 James Shubin <james@shubin.ca>
- (72a8027) Update README

* Tue Dec 29 2015 James Shubin <james@shubin.ca>
- (39f7c30) Ira deserves to be mentioned in the THANKS list

* Tue Dec 29 2015 James Shubin <james@shubin.ca>
- (1ba6be2) Add graphviz generation and visualization

* Mon Dec 21 2015 James Shubin <james@shubin.ca>
- (6b4fa21) Mega patch

* Mon Oct 12 2015 James Shubin <james@shubin.ca>
- (0ea6f30) Reorganize testing for developer efficiency

* Sat Oct 10 2015 James Shubin <james@shubin.ca>
- (4f6605b) Don't format or check omv.yaml syntax

* Tue Oct 6 2015 James Shubin <james@shubin.ca>
- (e44da95) Add equals sign to pass in variables

* Tue Oct 6 2015 James Shubin <james@shubin.ca>
- (dd3759a) Update gofmt test to allow version 1.5

* Fri Oct 2 2015 James Shubin <james@shubin.ca>
- (3e4709d) Add tag script

* Tue Sep 29 2015 James Shubin <james@shubin.ca>
- (66e030a) Add more shields!

* Sat Sep 26 2015 James Shubin <james@shubin.ca>
- (451fb35) Add missing watch event for files

* Sat Sep 26 2015 James Shubin <james@shubin.ca>
- (8dbca80) Add omv support

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (6150c2c) Small grep flag fix so command is idempotent

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (2708223) Put all the deps in one script

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (327c5fb) Fix small typo

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (f789cf1) Add travis-ci integration

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (19a9090) Add better reporting of errors in yaml formatting test

* Fri Sep 25 2015 James Shubin <james@shubin.ca>
- (25ad05c) Initial public commit of mgmt (tag: 0.0.1)

